### Method

# GLib String erase

#### Declaration [src]

    GString*
    g_string_erase (
      GString* string,
      gssize pos,
      gssize len
    )

#### Description [src]

Removes `len` bytes from a `GString`, starting at position `pos`. The rest of the `GString` is shifted down to fill the gap.

#### Parameters

`pos`

  Type: `gssize`

  The position of the content to remove.

`len`

  Type: `gssize`

  The number of bytes to remove, or -1 to remove all following bytes.

#### Return value

Type: `GString`

`string`.

The data is owned by the instance.